#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int n;
    cin >> n;
    int k=0;
    int ossz =0;
    if(n%2 == 0){
        for(int i=0;i<n;i+=2){
            cout << 2*n-k << ' ' << 1+k << ' ';
            k++;
        }
        cout << endl;
        for(int i=0;i<n;i+=2){
            cout << 2*n-k << ' ' << 1+k << ' ';
            k++;
        }
    }
    else{
        int x =0;
        int y = 0;
        for(int i=0;i<n;i+=2){
            if(i+1 == n){
                cout << 2*n-x;
                x++;
            }
            else{
                cout << 2*n-x << ' ' << 1+y << ' ';
                x++;
                y++;
            }
        }
        cout << endl;
        for(int i=0;i<n;i+=2){
            if(i+1 == n){
                cout << 2*n-x;
                x++;
            }
            else{
                cout << 2*n-x << ' ' << 1+y << ' ';
                x++;
                y++;
            }
        }
    }
    return 0;
}